API reference
PUTRequires Bearer token
Update a document
/api/edm/documents/{document_id}
409 document_sealed if the document is sealed.
Path parameters
| Field | Type | Description |
|---|---|---|
document_id Required | string | Path parameter document_id. |
Query parameters
This endpoint has no query parameters.
Request body
| Field | Type | Description |
|---|---|---|
name | string | Display name. |
folder_id | string | Move to another folder. |
typology_id | string | Typology UUID. |
metadata | object | Business metadata. |
tags | array | Tags. |
client_ref | string | Client reference. |
contract_ref | string | Contract reference. |
transaction_ref | string | Transaction reference. |
Responses
| Status | Meaning |
|---|---|
| 200 | Updated |
| 401 | Missing or invalid Bearer token. |